/*	Copyright Alex Hornby 1994/1995. All rights reserved.
 	See file README for details
*/

/* AL's fopen. open with a fallback! */
#include <stdio.h>
#include <stdlib.h>

FILE*
alopen( char *name1, char *name2, char *mode)
{
	FILE *fp;
	
	fp=fopen(name1,mode);
	if(fp==0)
	{
		fp=fopen(name2,mode);
		if(fp==0)
			{
			fprintf(stderr,"Files %s and %s not found.\n",name1, name2);
			exit(1);
			}
	}
	return fp;
}
